'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

function useWindowWidth() {
  var isMounted = react.useRef(true);
  var isSsr = typeof window === 'undefined';

  var _useState = react.useState(isSsr ? 0 : window.innerWidth),
      width = _useState[0],
      setWidth = _useState[1];

  react.useEffect(function () {
    window.addEventListener('resize', function () {
      window.requestAnimationFrame(function () {
        if (isMounted.current) {
          setWidth(window.innerWidth);
        }
      });
    });
    return function () {
      isMounted.current = false;
    };
  }, [setWidth]);
  return width;
}

exports.default = useWindowWidth;
//# sourceMappingURL=react-hook-use-window-width.cjs.development.js.map
