import { useRef, useState, useEffect } from 'react';

function useWindowWidth() {
  var isMounted = useRef(true);
  var isSsr = typeof window === 'undefined';

  var _useState = useState(isSsr ? 0 : window.innerWidth),
      width = _useState[0],
      setWidth = _useState[1];

  useEffect(function () {
    window.addEventListener('resize', function () {
      window.requestAnimationFrame(function () {
        if (isMounted.current) {
          setWidth(window.innerWidth);
        }
      });
    });
    return function () {
      isMounted.current = false;
    };
  }, [setWidth]);
  return width;
}

export default useWindowWidth;
//# sourceMappingURL=react-hook-use-window-width.esm.js.map
